Summary:	SCLI - SNMP Command Line Interface
Name:		scli
Version:	0.4.0
Release:	%mkrel 13
License:	GPLv2
#patch was sent upstream (Kharec)
Patch0:		scli-0.4.0-fix-str-fmt.patch
Group:		Networking/Other
Source0:	ftp://ftp.ibr.cs.tu-bs.de/pub/local/scli/%{name}-%{version}.tar.gz
Url:		http://www.ibr.cs.tu-bs.de/projects/scli/
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	libglib2-devel
BuildRequires:	pkgconfig(gnet-2.0)
BuildRequires:	pkgconfig(gsnmp)

%description
Authors description on the project's home page:

The scli package was written to address the need for small and
efficient command line utilities to monitor and configure network
devices and host systems. The scli package is based on the SNMP
management protocol. It utilizes a MIB compiler called smidump to
generate C stub code. In fact, virtually no SNMP knowledge is required
in order to extend the scli programs with new features.

The programs contained in the scli package try to be very specific
rather than generic. Generic SNMP tools such as MIB browsers or simple
command line tools (e.g. snmpwalk) are hard to use since they expose
too many protocol details. And in most cases, they fail to present the
information in a format that is easy to read and understand.

The scli package was designed to be extensible. Additional modes that
extend the capabilities of the tools can easily be added. The smidump
MIB compiler hides all the SNMP protocol details so that every C
programmer can implement new modes. In fact, we like to encourage
users to write and contribute new modes so that the package becomes
more and more valuable.

To summarize, the slogan for this little package is: "After more than
10 years of SNMP, I felt it is time for really useful command line
SNMP monitoring and configuration tools. ;-)"

%prep
%setup -q
%autopatch -p0

# make autoreconf more happy
sed -i -e 's,\(^AM_INIT_AUTOMAKE.*\),AM_PROG_AR\n\1,' configure.in

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-xmltest
%make_build

%install
%make_install

%files
%doc AUTHORS NEWS PORTING README TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*




%changelog
* Thu Aug 20 2020 ovitters <ovitters> 0.4.0-13.mga8
+ Revision: 1616553
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Wed Feb 19 2020 umeabot <umeabot> 0.4.0-12.mga8
+ Revision: 1542347
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 0.4.0-11.mga8
+ Revision: 1476012
- rebuild for readline

* Sun Sep 23 2018 umeabot <umeabot> 0.4.0-10.mga7
+ Revision: 1300958
- Mageia 7 Mass Rebuild

* Sat Jul 07 2018 wally <wally> 0.4.0-9.mga7
+ Revision: 1242495
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Tue Jan 02 2018 wally <wally> 0.4.0-8.mga7
+ Revision: 1189467
- rebuild for new readline

* Tue Feb 02 2016 umeabot <umeabot> 0.4.0-7.mga6
+ Revision: 931311
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-6.mga5
+ Revision: 750957
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-5.mga5
+ Revision: 689071
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.0-4.mga4
+ Revision: 518195
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.4.0-3.mga3
+ Revision: 381886
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 23 2011 ennael <ennael> 0.4.0-2.mga1
+ Revision: 58107
- imported package scli


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-2mdv2011.0
+ Revision: 607527
- rebuild

  + Sandro Cazzaniga <kharec@mandriva.org>
    - patch sent

* Sat Mar 06 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.4.0-1mdv2010.1
+ Revision: 515301
- fix source to use tar.gz
- fix license
- update to 0.4.0
- drop old patch
- add a patch for fix str fmt and build

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.3.1-6mdv2010.0
+ Revision: 427062
- rebuild

* Fri Apr 03 2009 Funda Wang <fwang@mandriva.org> 0.3.1-5mdv2009.1
+ Revision: 363651
- fix str fmt

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild for new libreadline

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.3.1-3mdv2009.0
+ Revision: 225402
- rebuild

* Thu Jan 17 2008 Thierry Vignaud <tv@mandriva.org> 0.3.1-2mdv2008.1
+ Revision: 154151
- do not package big changelog
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Aug 18 2007 Crispin Boylan <crisb@mandriva.org> 0.3.1-1mdv2008.0
+ Revision: 65756
- New version


* Thu Sep 21 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.12-8mdv2007.0
- Rebuild against ncurse

* Wed Sep 20 2006 Till Kamppeter <till@mandriva.com> 0.2.12-7mdv2007.0
- Rebuilt for new NCurses.

* Mon May 08 2006 Stefan van der Eijk <stefan@eijk.nu> 0.2.12-6mdk
- rebuild for sparc

* Fri Jan 21 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.12-5mdk
- rebuild for new readline

* Sun Nov 28 2004 Till Kamppeter <till@mandrakesoft.com> 0.2.12-4mdk
- Rebuilt.

